Remove the tenant's primary SSO/IdP configuration (AAL3 step-up)
DELETE
/v1/console/sso/tenants/{tenant}
const url = 'https://example.com/v1/console/sso/tenants/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/v1/console/sso/tenants/example \ --header 'Authorization: Bearer <token>'Removes the tenant’s primary IdP configuration. Step-up required.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” tenant
required
string
Tenant whose IdP surface this is (the tenant’s key).
Responses
Section titled “ Responses ”No content
Bad request
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Unauthenticated
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Forbidden
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Not found
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Conflict / setup required
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Rate limited
Media type application/json
object
error
required
object
code
required
string
message
required
string
module
With code module_not_enabled: the namespace of the module this node does not run.
string
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}